;(function ($) {
    /**
     * 下拉框控件（只支持中文检索）
     * @class FR.ComboBox4Chinese
     * @extends FR.ComboBoxEditor
     */
    FR.ComboBox4Chinese = FR.extend(FR.ComboBoxEditor, /**@class FR.ComboBoxEditor*/{
        /**
         * 模糊搜索，生成的下拉列表
         * @private
         */
        _ajaxSearch: function () {
            if (!FR.isEmpty(this.searchText) && !/^[\u4e00-\u9fa5]+$/i.test(this.searchText)) {
                return;
            }
            FR.ComboBox4Chinese.superclass._ajaxSearch.apply(this, arguments);
        }

    });
    $.shortcut('combobox4chinese', FR.ComboBox4Chinese);
})(jQuery);